# Uses of Enum
org.codehaus.janino.Java.Primitive

Packages that use Java.Primitive
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.Primitive in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.Primitive
Modifier and Type
Field
Description
`final Java.Primitive`
Java.PrimitiveType.`primitive`
One of `VOID`, `BYTE` and consorts.
Methods in org.codehaus.janino that return Java.Primitive
Modifier and Type
Method
Description
`static Java.Primitive`
Java.Primitive.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Java.Primitive[]`
Java.Primitive.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.codehaus.janino with parameters of type Java.Primitive
Modifier
Constructor
Description
``
`PrimitiveType(Location location, Java.Primitive primitive)`